package com.mousetech.gourmetj;

import java.io.Serializable;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.faces.event.AjaxBehaviorEvent;
import javax.faces.view.ViewScoped;
import javax.inject.Inject;
import javax.inject.Named;

import org.primefaces.event.SelectEvent;

import com.mousetech.gourmetj.persistence.dao.ShopcatRepository;
import com.mousetech.gourmetj.persistence.model.Shopcat;

@Named
@ViewScoped
public class EditShopcatBean implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String ingkey;

	private String shopcatName;

	private String shopcatSuggestion;

	private List<String> shopcatSuggestionList;

	@Inject
	ShopcatRepository shopcatRepository;

	/**
	 * Default Constructor.
	 */
	public EditShopcatBean() {

	}

	@PostConstruct
	public void init() {
		this.shopcatSuggestionList = this.shopcatRepository
			.findDistinctCategoryNative();
//		// Get ingkey from Flash scope
//		ingkey = (String) JSFUtils.getFlash("ingkey");
//		Shopcat scat = this.shopcatRepository
//			.findShopcatByIngkey(ingkey);
//		if (scat != null) {
//			this.setShopcatName(scat.getShopcategory());
//		}
	}

	/**
	 * @return the shopcatName
	 */
	public String getShopcatName() {
		return shopcatName;
	}

	/**
	 * @param shopcatName the shopcatName to set
	 */
	public void setShopcatName(String shopcatName) {
		this.shopcatName = shopcatName;
	}

	/**
	 * @return the shopcatSuggestion
	 */
	public String getShopcatSuggestion() {
		return shopcatSuggestion;
	}

	/**
	 * @param shopcatSuggestion the shopcatSuggestion to set
	 */
	public void setShopcatSuggestion(String shopcatSuggestion) {
		this.shopcatSuggestion = shopcatSuggestion;
	}

	/**
	 * @return the ingkey
	 */
	public String getIngkey() {
		return ingkey;
	}

	public void setIngkey(String ingkey) {
		this.ingkey = ingkey;
	}

	/**
	 * @return the shopcatSuggestionList
	 */
	public List<String> getShopcatSuggestionList() {
		return shopcatSuggestionList;
	}
	
	public void ajaxShopcatSuggest(AjaxBehaviorEvent event) {
		this.shopcatName = this.shopcatSuggestion;
	}
}
